# scnn
for mlp_decoder in False
do
    for noise_type in random curl  
    do 
        for activations in tanh id   
        do 
            for hidden_features in 1 16 64 
            do 
                for layers in 0 1 2 3 4 5 
                do 
                    s=$(printf "\--model_name psnn --hidden_features %d --layers %d --noise_type %s --activations %s --mlp_decoder %s" $hidden_features $layers $noise_type $activations $mlp_decoder)
                    s="${s:1}"
                    python forex/forex_denoise.py $s
                done
            done
        done 
    done 
done 